%define modname arrow

Name:               python-%{modname}
Version:            0.7.0
Release:            %mkrel 2
Summary:            Better dates and times for Python

Group:              Development/Python
License:            ASL 2.0
URL:                http://pypi.python.org/pypi/arrow
Source0:            http://pypi.python.org/packages/source/a/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:          noarch
BuildRequires:      python-devel
BuildRequires:      python-chai
BuildRequires:      python-dateutil
BuildRequires:      python-six
Requires:           python-dateutil
Requires:           python-six

BuildRequires:      python3-devel
BuildRequires:      python3-chai
BuildRequires:      python3-dateutil
BuildRequires:      python3-six
Requires:           python3-dateutil
Requires:           python3-six

%description
Arrow is a Python library that offers a sensible, human-friendly approach to
creating, manipulating, formatting and converting dates, times, and timestamps.
It implements and updates the datetime type, plugging gaps in functionality,
and provides an intelligent module API that supports many common creation
scenarios.
Simply put, it helps you work with dates and times with fewer imports and a lot
less code.


%package -n         python3-%{modname}
Summary:            Better dates and times for Python
Group:              Development/Python

%description -n python3-arrow
Arrow is a Python library that offers a sensible, human-friendly approach to
creating, manipulating, formatting and converting dates, times, and timestamps.
It implements and updates the datetime type, plugging gaps in functionality,
and provides an intelligent module API that supports many common creation
scenarios.
Simply put, it helps you work with dates and times with fewer imports and a lot
less code.

%prep
%setup -q -n %{modname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

cp -a . %{py3dir}


%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
popd

%py2_install


%files
%{python2_sitelib}/%{modname}/
%{python2_sitelib}/%{modname}-%{version}*


%files -n python3-%{modname}
%{python3_sitelib}/%{modname}/
%{python3_sitelib}/%{modname}-%{version}-*



%changelog
* Sat Feb 20 2016 umeabot <umeabot> 0.7.0-2.mga6
+ Revision: 971235
- Mageia 6 Mass Rebuild

* Sun Oct 11 2015 philippem <philippem> 0.7.0-1.mga6
+ Revision: 889643
- update to 0.7.0

* Thu Oct 08 2015 tv <tv> 0.4.4-5.mga6
+ Revision: 887523
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.4.4-4.mga5
+ Revision: 747991
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.4.4-3.mga5
+ Revision: 728059
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.4.4-2.mga5
+ Revision: 687886
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 philippem <philippem> 0.4.4-1.mga5
+ Revision: 669727
- imported package python-arrow

